# $Revision: 1.16 $, $Date: 2002/08/17 17:29:43 $
Summary:	Quail - all non-English and non-Japanese language support
Summary(pl):	Quail - obsuga wszystkich jzykw innych ni angielski i japoski
Name:		xemacs-leim-pkg
%define 	srcname	leim
Version:	1.19
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-mule-base-pkg
Requires:	xemacs-fsf-compat-pkg
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quail - all non-English and non-Japanese language support.

%description -l pl
Quail - obsuga wszystkich jzykw innych ni angielski i japoski.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/leim/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/leim
%{_datadir}/xemacs-packages/lisp/leim/*.elc
%dir %{_datadir}/xemacs-packages/lisp/leim/quail
%{_datadir}/xemacs-packages/lisp/leim/quail/*.elc

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xemacs-leim-pkg.spec,v $
Revision 1.16  2002/08/17 17:29:43  kloczek
- (auto)updated to 1.19,
- updated %files (check_files rulez).

Revision 1.15  2002/07/17 17:48:22  kloczek
- updated to 1.18.

Revision 1.14  2002/07/02 08:01:33  marcus
- use new %%doc
- rel.3.

Revision 1.13  2002/04/14 12:26:58  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.12  2002/02/23 05:20:03  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/20 15:08:16  qboosh
- adapterized, descriptions from summaries; release 2

Revision 1.8  2001/02/13 18:19:51  mis
- updated to 1.17

Revision 1.7  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.6  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:40:08  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
